> ## Documentation Index
> Fetch the complete documentation index at: https://docs.maesn.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get items

## Field support per integration

<AccordionGroup>
  <Accordion title="bexio" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/bexio.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=1725cd998107a00ea8f7f9a83c250e29" width="24" height="24" data-path="logo/bexio.svg">
    Supported filters: `none`

    Support pagination: `true`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="expenseAccountId" type="string" />

    <ResponseField name="incomeAccountId" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="stockCount" type="number" />

    <ResponseField name="taxCode" type="string" />

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="type" type="enum">
      Available options: `PRODUCT`, `SERVICE`
    </ResponseField>

    <ResponseField name="unitPurchasePrice" type="number" />

    <ResponseField name="unitSalesPrice" type="number" />
  </Accordion>

  <Accordion title="Business Central" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/businesscentral.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=9cdc50aa9f467133e9e9372eab83f38b" width="24" height="24" data-path="logo/businesscentral.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameters `environmentName` and `companyId` are correctly populated.
      You can obtain these values by using the `GET Environments` and `GET Companies` endpoints available under the Authentication section.
    </Note>

    Supported filters:

    * `itemNumber`
    * `lastModifiedAt`
    * `type`

    Support pagination: `true`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="itemNumber" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="priceIncludesTax" type="boolean" />

    <ResponseField name="stockCount" type="number" />

    <ResponseField name="type" type="enum">
      Available options: `PRODUCT`, `SERVICE`
    </ResponseField>

    <ResponseField name="unitName" type="string" />

    <ResponseField name="unitPurchasePrice" type="number" />

    <ResponseField name="unitSalesPrice" type="number" />
  </Accordion>

  <Accordion title="Exact Online" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/exact.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=afa1af7a261b22f843ac73ee60896ede" width="24" height="24" data-path="logo/exact.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section.
    </Note>

    Supported filters:

    * `lastModifiedAt`

    Support pagination: `true`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="lastModifiedDate" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="stockCount" type="number" />

    <ResponseField name="taxCode" type="string" />

    <ResponseField name="unitName" type="string" />

    <ResponseField name="unitPurchasePrice" type="number" />

    <ResponseField name="unitSalesPrice" type="number" />
  </Accordion>

  <Accordion title="QuickBooks" icon="https://mintcdn.com/maesn/51AaCYhZi3VILsjj/logo/quickbooks.svg?fit=max&auto=format&n=51AaCYhZi3VILsjj&q=85&s=7733377805a0f59c4cdada5817544447" width="24" height="24" data-path="logo/quickbooks.svg">
    Supported filters:

    * `lastModifiedAt`

    Support pagination: `true`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="id" type="string" />

    <ResponseField name="assetAccountId" type="string" />

    <ResponseField name="expenseAccountId" type="string" />

    <ResponseField name="incomeAccountId" type="string" />

    <ResponseField name="inventoryStartDate" type="string" />

    <ResponseField name="lastModifiedDate" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="stockCount" type="number" />

    <ResponseField name="taxCode" type="string" />

    <ResponseField name="type" type="enum">
      Available options: `PRODUCT`, `SERVICE`
    </ResponseField>

    <ResponseField name="unitPurchasePrice" type="number" />

    <ResponseField name="unitSalesPrice" type="number" />
  </Accordion>

  <Accordion title="Sage Active" icon="https://mintcdn.com/maesn/gCd41Ws3USFubam4/logo/sageactive.svg?fit=max&auto=format&n=gCd41Ws3USFubam4&q=85&s=db4ef71b40820611bd17295476ff28f9" width="24" height="24" data-path="logo/sageactive.svg">
    <Note>
      If you're not using the [Interactive Authentication Flow](/authentication#interactive-authentication-flow), make sure the query parameter `companyId` is correctly populated.
      You can obtain this value by using the `GET Companies` endpoint available under the Authentication section. Please use the id field as the companyId.
    </Note>

    Supported filters:

    * `itemNumber`
    * `lastModifiedAt`
    * `type`

    Support pagination: `true`

    Support rawData: `true`

    <br />

    Supported Response Fields:

    <ResponseField name="itemNumber" type="string" />

    <ResponseField name="name" type="string" />

    <ResponseField name="priceIncludesTax" type="boolean" />

    <ResponseField name="taxRatePercentage" type="number" />

    <ResponseField name="type" type="enum">
      Available options: `PRODUCT`, `SERVICE`
    </ResponseField>

    <ResponseField name="unitSalesPrice" type="number" />

    <ResponseField name="unitName" type="enum">
      Available options:  `HOUR`, `KILOGRAM`, `LITRE`, `METRE`, `MILLILITRE`, `MILLIGRAM`, `PACK`, `SQUARE_METRE`, `TONNE`, `UNIT`,
      `CUBIC_METRE`, `DAY`, `GRAM`, `KILOMETRE`, `MONTH`, `NIGHT`, `NOT_UNIT`, `PERCENTAGE`
    </ResponseField>

    <Note>
      Customized values are supported.
    </Note>
  </Accordion>
</AccordionGroup>


## OpenAPI

````yaml get /accounting/items
openapi: 3.0.0
info:
  title: Maesn unified API
  description: The Maesn unified API description
  version: '1.0'
  contact: {}
servers:
  - url: https://api.maesn.dev
security: []
tags:
  - name: maesn
    description: ''
paths:
  /accounting/items:
    get:
      tags:
        - accounting
      operationId: getItems
      parameters:
        - name: X-API-KEY
          description: API key
          in: header
          schema:
            type: string
          required: true
        - name: X-ACCOUNT-KEY
          description: Account key
          in: header
          schema:
            type: string
          required: true
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            enum:
              - 5
              - 10
              - 20
              - 50
              - 100
            type: number
        - name: companyId
          required: false
          in: query
          schema:
            type: string
        - name: environmentName
          in: query
          schema:
            type: string
          required: false
        - name: itemNumber
          in: query
          schema:
            type: string
          required: false
        - name: lastModifiedAt
          required: false
          in: query
          schema:
            type: number
        - name: type
          in: query
          schema:
            type: string
          required: false
        - name: rawData
          required: false
          in: query
          schema:
            type: boolean
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/BaseResponseDto'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/ItemResponseDto'
components:
  schemas:
    BaseResponseDto:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/MetaResponse'
        data:
          oneOf:
            - type: object
            - type: array
    ItemResponseDto:
      type: object
      properties:
        id:
          type: string
          example: 02c74e8a-b95b-ef11-bfe2-002248e5aac5
        assetAccountId:
          type: string
          example: '80'
        expenseAccountId:
          type: string
          example: '81'
        incomeAccountId:
          type: string
          example: '79'
        inventoryStartDate:
          type: string
          example: '2021-01-01'
        itemNumber:
          type: string
          example: 12345-A
        lastModifiedDate:
          type: string
          example: '2021-01-01T00:00:00Z'
        name:
          type: string
          example: Handmade Plastic Chair
        priceIncludesTax:
          type: boolean
          example: true
        stockCount:
          type: number
          example: 11
        taxCode:
          type: string
          example: TAX19
        taxRatePercentage:
          type: number
          example: 19
        type:
          type: string
          enum:
            - PRODUCT
            - SERVICE
          example: PRODUCT
        unitName:
          anyOf:
            - type: string
              enum:
                - PIECE
                - STÜCK
                - NOT_UNIT
                - CUBIC_METRE
                - DAY
                - GRAM
                - HOUR
                - KILOGRAM
                - KILOMETRE
                - LITRE
                - METRE
                - MILLIGRAM
                - MILLILITRE
                - MONTH
                - NIGHT
                - PACK
                - PERCENTAGE
                - SQUARE_METRE
                - TONNE
                - UNIT
            - type: string
          example: PIECE
        unitPurchasePrice:
          type: number
          example: 10
        unitSalesPrice:
          type: number
          example: 20.5
    MetaResponse:
      type: object
      properties:
        warnings:
          type: array
          items:
            type: string
            example: Field not used by target system
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
    PaginationResponse:
      type: object
      properties:
        total:
          type: number
          example: 125
        perPage:
          type: number
          example: 50
        currentPage:
          type: number
          example: 1
        totalPages:
          type: number
          example: 3

````